//+------------------------------------------------------------------+
//|                                                    ScreeShot.mq4 |
//|                                      Copyright  2006, Eli hayun |
//|                                          http://www.elihayun.com |
//+------------------------------------------------------------------+
#property copyright "Copyright  2006, Eli hayun"
#property link      "http://www.elihayun.com"
#include <stdlib.mqh>

#property indicator_chart_window

extern int TF = 30;
extern string sFileName = "ScreenShot";
extern int    StartCounter = 0;


//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   static bool FirstTime = true;
   
   int m = Minute();   
   int d = m  / TF;
   
   if (!FirstTime) // Take a screenshot when starting
      if ( d * TF != m)  
      {
         return(0);
      }     
   FirstTime = false;
   
   StartCounter++;
   string sName = sFileName + "_" + StartCounter + ".gif";
   if (!ScreenShot(sName, 640,480))
   {
      Alert("Error when creating screenshot ", sName, " Error: ", ErrorDescription(GetLastError()));
   }
   
   return(0);
  }
//+------------------------------------------------------------------+